package label_relationship

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/label_relationship"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /label_relationship label_relationship GetLabelRelationshipById
//
// Get label relationship by ID | 通过ID获取LabelRelationship
//
// Get label relationship by ID | 通过ID获取LabelRelationship
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: LabelRelationshipInfoResp

func GetLabelRelationshipByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := label_relationship.NewGetLabelRelationshipByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetLabelRelationshipById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
